org.h2gis.functions.io.geojson

## Class GJGeometryReader

- java.lang.Object
- - org.h2gis.functions.io.geojson.GJGeometryReader

    public class GJGeometryReader
    extends Object

This class is used to convert a geojon geometry to a JTS geometry.

Author:
  Erwan Bocher

### Constructor Summary

Constructors
Constructor and Description
`GJGeometryReader(org.locationtech.jts.geom.GeometryFactory GF)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.locationtech.jts.geom.Geometry` `parseGeometry(com.fasterxml.jackson.core.JsonParser jsParser)` Parses a GeoJSON geometry and returns its JTS representation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GJGeometryReader

    public GJGeometryReader(org.locationtech.jts.geom.GeometryFactory GF)

### Method Detail

#### parseGeometry

    public org.locationtech.jts.geom.Geometry parseGeometry(com.fasterxml.jackson.core.JsonParser jsParser)
                                                     throws IOException,
                                                            SQLException

Parses a GeoJSON geometry and returns its JTS representation. Syntax: "geometry":{"type": "Point", "coordinates": [102.0,0.5]}

Parameters:
  `jsParser` -
Returns:
  Geometry
Throws:
  `IOException`
  `SQLException`